> ## Documentation Index
> Fetch the complete documentation index at: https://developers.simplesell.de/llms.txt
> Use this file to discover all available pages before exploring further.

# List shipping methods



## OpenAPI

````yaml /api/v1/openapi.yaml get /shipping-methods
openapi: 3.0.0
info:
  title: SimpleSell API
  description: Welcome to the SimpleSell API.
  version: 1.0.0
servers:
  - url: https://api.simplesell.de/v1
security:
  - BearerAuth: []
paths:
  /shipping-methods:
    get:
      tags:
        - Shipping methods
      summary: List shipping methods
      parameters:
        - in: query
          name: sort
          description: Sort shipping methods by the specified field.
          schema:
            type: string
            enum:
              - name
              - '-name'
            default: name
        - in: query
          name: cursor
          description: Cursor for pagination.
          schema:
            type: string
      responses:
        '200':
          description: A collection of shipping methods.
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/ShippingMethod'
                  links:
                    type: object
                    properties:
                      next:
                        type: string
                        format: uri
                        nullable: true
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '402':
          $ref: '#/components/responses/PaymentRequired'
        '403':
          $ref: '#/components/responses/Forbidden'
        '429':
          $ref: '#/components/responses/TooManyRequests'
components:
  schemas:
    ShippingMethod:
      type: object
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
  responses:
    BadRequest:
      description: Request is invalid.
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
    Unauthorized:
      description: Authentication is required.
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
    PaymentRequired:
      description: Account requires a subscription or plan upgrade.
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
    Forbidden:
      description: Access to this resource is not permitted.
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
    TooManyRequests:
      description: Request rate limit has been exceeded.
      headers:
        Retry-After:
          schema:
            type: integer
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: Your SimpleSell API token.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.